<template>
    <main class="main">
        <div class="container">
            <div class="basket">
                <div class="basket__selects">
                    <div class="basket__head">
                        <h4 class="section__head">Кошик</h4>
                        <a href="" class="basket__link">Переглянуті товари</a>
                    </div>

                    <div class="basket__content">
                        <div class="basket__article">
                            <!--class="basket__categories basket__active" for reviewed pages page-->
                            <p class="basket__categories--item">Товар</p>
                            <p class="basket__categories--item">Кількість</p>
                            <p class="basket__categories--item">Сума</p>
                        </div>

                        <BasketCart @clickIsHere="clickHandler" :options="basketItems" />
                        
                    </div>
                    </div>
                    <div class="basket__sum">
                        <div class="basket__order">
                            <div class="basket__enter">
                                <p class="basket__order--name">Сума:</p>
                                <p class="basket__order--sum">{{ sumTotalBasket }} грн</p>
                            </div>
                            <div class="basket__select">
                                <nuxt-link to="/checkout" class="button button--order">Оформити замовлення</nuxt-link>
                                <nuxt-link to="/catalog" class="button-light button--order">Продовжити покупки</nuxt-link>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    </main>
</template>

<script setup>



const { $snotify, moment } = useNuxtApp()
const loader = ref(false);



const sumTotalBasket = ref(null)
let basketItems = ref([]);


onMounted(() => {

    getCarts();

})



async function getCarts() {
    try {
        const shopCarts = await $api().carts.getCarts()
        basketItems.value = shopCarts.data.purchases
        console.log(basketItems)
        sumTotalBasket.value = shopCarts.total.total
        $snotify.success("success");
    }
    catch (e) {
        $snotify.error(e.data);
    }
}

function clickHandler() {
    getCarts()
} 






</script>
